Bug 13562 - Item search: Not possible to add other search fields from 952?
Summary: Item search: Not possible to add other search fields from 952?
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11425
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-12 17:15 UTC by Katrin Fischer
Modified: 2017-06-14 22:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13562: Fix item search on item MARC subfields (5.71 KB, patch)
2015-01-15 08:54 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13562: Fix item search on item MARC subfields (5.78 KB, patch)
2015-02-06 05:28 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 13562: Fix item search on item MARC subfields (5.83 KB, patch)
2015-02-06 12:31 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-12 17:15:31 UTC
I have added some additional fields to the search using administration > Items search fields:

952$1, LOST auth value (tried all settings for lost in the form at the bottom)
952$z, Opac note, free text

Both searches don't appear to work.
Comment 1 Jonathan Druart 2015-01-13 09:30:53 UTC
Since the items are not stored anymore in the marcxml (in the DB), it should not possible to do that.
I asked Julian to confirm that.
Comment 2 Katrin Fischer 2015-01-13 09:34:27 UTC
Hm, but does it have sense to have an item search that is limited to only a few specific fields? The OPAC note is a good example I think that people might want to search for. I am also missing the current library.
Comment 3 Julian Maurice 2015-01-14 14:00:23 UTC
The code actually doesn't allow to search in 952 (or 995 for UNThèse, Mémoire, Rapport IMARC), but it should, so this is a bug.

I'll try to work on that this week.
Comment 4 Katrin Fischer 2015-01-14 14:01:21 UTC
Thank you Julian!
Comment 5 Julian Maurice 2015-01-14 14:23:33 UTC
It seems I made a copy/paste error (will you find it ? :p)
I meant "(or 995 for UNIMARC)" of course
Comment 6 Julian Maurice 2015-01-15 08:54:46 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2015-02-06 05:28:53 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2015-02-06 12:31:41 UTC
Created attachment 35694 [details] [review]
[PASSED QA] Bug 13562: Fix item search on item MARC subfields
Comment 9 Tomás Cohen Arazi 2015-02-09 16:48:27 UTC
Patch pushed to master.

Thanks Julian!
Comment 10 Chris Cormack 2015-02-12 21:44:06 UTC
Pushed to 3.18.x will be in 3.18.4